Summary: A utility for converting FIG files (made by xfig) to other formats.
Name: transfig
Version: 3.2.3d
Release: 3
Epoch: 1
License: distributable
Group: Applications/Multimedia
Source: ftp://www-epb.lbl.gov/xfig/transfig/%{name}.%{version}.tar.gz
Patch: transfig.3.2.3c-strerror.patch
BuildPrereq: libpng-devel, libjpeg-devel
Buildroot: %{_tmppath}/transfig-%{version}-root

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).

Install transfig if you need a utility for translating FIG or PIC
figures into certain graphics languages.

%prep
%setup -q -n %{name}.%{version}
%patch -p1 -b .strerror

%build
PATH=$PATH:/usr/X11R6/bin
xmkmf
make Makefiles \
     XFIGLIBDIR=/usr/X11R6/lib/X11/xfig \
     FIG2DEV_LIBDIR=/usr/X11R6/lib/X11/fig2dev

%ifarch alpha
make EXTRA_DEFINES="-Dcfree=free" XFIGLIBDIR=/usr/X11R6/lib/X11/xfig \
     FIG2DEV_LIBDIR=/usr/X11R6/lib/X11/fig2dev
%else
make XFIGLIBDIR=/usr/X11R6/lib/X11/xfig FIG2DEV_LIBDIR=/usr/X11R6/lib/X11/fig2dev
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fig2dev
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfig
make BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin install \
    FIG2DEV_LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fig2dev \
    XFIGLIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfig
make MANSOURCEPATH=$RPM_BUILD_ROOT/usr/X11R6/man/man install.man \
    FIG2DEV_LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fig2dev \
    XFIGLIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xfig \
    DOCDIR=$RPM_BUILD_ROOT/doc

# Dunno why these are not installed
for i in fig2ps2tex fig2ps2tex.sh pic2tpic
do
	install -c -m 755 fig2dev/$i.script $RPM_BUILD_ROOT/usr/X11R6/bin/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES NOTES README LATEX.AND.XFIG
/usr/X11R6/bin/transfig
/usr/X11R6/bin/fig2dev
/usr/X11R6/bin/fig2ps2tex
/usr/X11R6/bin/fig2ps2tex.sh
/usr/X11R6/bin/pic2tpic
/usr/X11R6/man/man1/*
/usr/X11R6/lib/X11/fig2dev
/usr/X11R6/lib/X11/xfig

%changelog
* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Than Ngo <than@redhat.com>
- fix build dependencies (bug #49725)
- Copyright -> License

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- update to 3.2.3d release (Bug # 44742)

* Tue May 29 2001 Than Ngo <than@redhat.com>
- update to 3.2.3d beta2

* Fri Apr 13 2001 Than Ngo <than@redhat.com>
- fix core dump when using LDAP auth
- update ftp site 

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Enable Japanese

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- update to 3.2.3c (Bug fixed release)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- make it build as nobody. Imake sucks.
- include LATEX.AND.XFIG
- use %%{_tmppath}

* Wed Apr 26 2000 Matt Wilson <msw@redhat.com>
- add enable_japanese option, disable it for now.

* Sun Apr 16 2000 Bryan C. Andregg <bandregg@redhat.com>
- new version to support -b and  -g which xfig uses

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
